
TYPO3.Fluid - Bug # 8484

Status: Closed Priority: Should have
Author: Bastian Waidelich Category: ViewHelpers
Created: 2010-06-24 Assigned To: Bastian Waidelich
Updated: 2011-07-11 Due date:
Has patch: No
Affected Flow version:
Subject: Revise EscapeViewHelper
Description

The current implementation of the EscapeViewHelper is a bit odd IMO.
1. I find it weird to use one ViewHelper to escape html, entities & urls
2. If anything goes wrong, the EscapeViewHelper currently returns the unchanged input string.. That is, if you'd write <f:escape
value="dangerous html" type="HTML" /> the value would not be htmlspecialchar'ed

Related issues:
related to TYPO3.Fluid - Task # 27628: Split escape ViewHelper into dedicated... Resolved 2011-06-21

History
#1 - 2011-05-06 10:30 - Sebastian Kurfuerst
- Assigned To set to Bastian Waidelich
- Target version set to 1.0 beta 1

#2 - 2011-05-06 11:15 - Sebastian Kurfuerst
- Parent task set to #26665
- Has patch set to No

#3 - 2011-05-06 11:18 - Sebastian Kurfuerst
- Tracker changed from Task to Bug
- Parent task deleted (#26665)

#4 - 2011-07-11 14:38 - Bastian Waidelich
- Status changed from New to Closed

Will be resolved with #27628
